Skip to content

Get Deal

GET
/deals/{deal_id}

Get a single deal by ID.

Authorizations

Parameters

Path Parameters

deal_id
required

Deal ID (UUID)

string

Deal ID (UUID)

Header Parameters

X-Target-Org-Id
Any of:
string

Responses

200

Successful Response

object
data
required
object
amount
Any of:
number
close_date
Any of:
string
closed_lost_reason
Any of:
string
company_id
Any of:
contact_count
integer
contacts
Any of:
Array<object>

Lightweight contact summary embedded in deal responses.

id is the canonical mashup_contact_id (BigInt), matching how contacts are addressed everywhere else in the public API (g8_search_contacts, g8_lookup_person, etc.). role is the contact’s role within THIS deal (champion / decision_maker / influencer / blocker / coach / end_user) and is null when no role was set.

object
email
Any of:
string
id
required
integer
name
Any of:
string
role
Any of:
string
title
Any of:
string
created_at
Any of:
string
currency
Any of:
string
description
Any of:
string
id
Any of:
string
last_activity_at
Any of:
string
name
Any of:
string
owner_email
Any of:
string
owner_id
Any of:
string
owner_name
Any of:
string
pipeline_id
Any of:
string
primary_contact
Any of:

Lightweight contact summary embedded in deal responses.

id is the canonical mashup_contact_id (BigInt), matching how contacts are addressed everywhere else in the public API (g8_search_contacts, g8_lookup_person, etc.). role is the contact’s role within THIS deal (champion / decision_maker / influencer / blocker / coach / end_user) and is null when no role was set.

object
email
Any of:
string
id
required
integer
name
Any of:
string
role
Any of:
string
title
Any of:
string
revision
Any of:
integer
stage_id
Any of:
string
stage_name
Any of:
string
updated_at
Any of:
string
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string